#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/install.sh - libwxbaseu2.8 installation
#
# Creation   :  2008-05-27 holbru
# Last update:  $Id: install.sh 664 2008-05-27 20:34:57Z holbru $
#
# Copyright (c) 2001-2008 the eisfair team, team(at)eisfair(dot)org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

# set packages name
packages_name=libwxbaseu2.8
lib_version=2.8.7

#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
LinkDES="libwx_baseu-2.8.so.0.4.0"
LinkSRC="libwx_baseu-2.8.so.0"

cd /usr/lib/

for Link in ${LinkSRC}
do
    rm -f ${Link}
    ln -sf ${LinkDES} ${Link}
    echo "b 0755 root root "${packages_name}" usr/lib/"${Link}"" \
          >>/etc/filelist.d/${packages_name}-files.txt
done

LinkDES="libwx_baseu_net-2.8.so.0.4.0"
LinkSRC="libwx_baseu_net-2.8.so.0"

for Link in ${LinkSRC}
do
    rm -f ${Link}
    ln -sf ${LinkDES} ${Link}
    echo "b 0755 root root "${packages_name}" usr/lib/"${Link}"" \
          >>/etc/filelist.d/${packages_name}-files.txt
done

LinkDES="libwx_baseu_xml-2.8.so.0.4.0"
LinkSRC="libwx_baseu_xml-2.8.so.0"

for Link in ${LinkSRC}
do
    rm -f ${Link}
    ln -sf ${LinkDES} ${Link}
    echo "b 0755 root root "${packages_name}" usr/lib/"${Link}"" \
          >>/etc/filelist.d/${packages_name}-files.txt
done

#----------------------------------------------------------------------------
# running ldconfig
#----------------------------------------------------------------------------
/sbin/ldconfig >/dev/null 2>&1

#----------------------------------------------------------------------------
# generate deinstall file
#----------------------------------------------------------------------------

# check for date
package_date=`grep "<date>" /var/install/packages/${packages_name} | sed 's#</*date>##g'`

cat > /var/install/deinstall/${packages_name} <<EOF
#! /bin/sh
#----------------------------------------------------------------------------
# /var/install/deinstall/${packages_name} - ${packages_name} deinstallation
#
# Creation:     2008-05-27 holbru
# Last Update:  ${package_date} holbru
#
# Copyright (c) 2001-2008 the eisfair team, team(at)eisfair(dot)org
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# read eislib
. /var/install/include/eislib

mecho -info " THIS PACKAGE IS PART OF THE SYSTEM!"
mecho -info " YOU CAN NOT REMOVE IT "

exit 1

EOF

chmod 0700 /var/install/deinstall/${packages_name}
touch -r /var/install/packages/${packages_name} /var/install/deinstall/${packages_name}
echo "u 0700 root root ${packages_name} \var/install/deinstall/${packages_name}" >>/etc/filelist.d/${packages_name}-files.txt


#----------------------------------------------------------------------------
# check for old (devel-)packages
#----------------------------------------------------------------------------

version=`grep "<version" /var/install/packages/${packages_name} | tr -d ' ' | sed 's#</*version>##g'`

packages_name=${packages_name}-dev

if [ -f /var/install/packages/${packages_name} -a "`/var/install/bin/check-version ${packages_name} ${version}`" = "new" ]
then
    . /var/install/include/eislib
    echo
    mecho -warn "An old devel package is installed."
    mecho -warn "To prevent version conflicts it is recommended"
    mecho -warn "that you also update the devel package."

    /var/install/bin/check-package -p ${packages_name} -v ${version}
    retvar=${?}
    if [ ${retvar} -ne 0 ]
    then
        deinstall_file=/var/install/deinstall/${packages_name}

        if [ -f ${deinstall_file} ]
        then
            chmod 0700 ${deinstall_file}
            ${deinstall_file}
        fi
    fi
fi

exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------
